<?xml version="1.0" encoding="gb2312"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="scbc.tools"
	ProjectGUID="{95CA9F08-85F6-4FD6-A80D-15EEC854B118}"
	RootNamespace="scbctools"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\bin\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="2"
			UseOfMFC="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\cJson;..\filehelper;..\Include;..\Log4C;..\MD5"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;SCBCTOOLS_EXPORTS;LOG4C_ENABLE;CURL_STATICLIB"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="crypt32.lib ws2_32.lib winmm.lib wldap32.lib libcurld.lib libeay32.lib ssleay32.lib sqlite3d.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\lib"
				IgnoreDefaultLibraryNames=""
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="copy $(TargetDir)\$(SolutionName).lib $(SolutionDir)\test\$(ProjectName).lib /y/a&#x0D;&#x0A;copy $(TargetPath) $(SolutionDir)\test\$(TargetFileName) /y/a&#x0D;&#x0A;copy $(SolutionDir)$(SolutionName)\TableInfo.h $(SolutionDir)\test\TableInfo.h /y/a&#x0D;&#x0A;copy $(SolutionDir)$(SolutionName)\$(SolutionName).h $(SolutionDir)\test\$(SolutionName).h  /y/a"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\bin\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="2"
			UseOfMFC="2"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="..\cJson;..\filehelper;..\Include;..\MD5"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;SCBCTOOLS_EXPORTS;LOG4C_ENABLE;CURL_STATICLIB"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="crypt32.lib ws2_32.lib winmm.lib wldap32.lib libcurl.lib libeay32.lib ssleay32.lib sqlite3.lib"
				LinkIncremental="1"
				AdditionalLibraryDirectories="..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="copy $(TargetDir)\$(SolutionName).lib $(SolutionDir)\test\$(ProjectName).lib /y/a&#x0D;&#x0A;copy $(TargetPath) $(SolutionDir)\test\$(TargetFileName) /y/a&#x0D;&#x0A;copy $(SolutionDir)$(SolutionName)\TableInfo.h $(SolutionDir)\test\TableInfo.h /y/a&#x0D;&#x0A;copy $(SolutionDir)$(SolutionName)\$(SolutionName).h $(SolutionDir)\test\$(SolutionName).h  /y/a&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="DebugExe|Win32"
			OutputDirectory="..\..\..\bin\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="1"
			UseOfMFC="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\cJson;..\filehelper;..\Include;..\Log4C;..\MD5"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;SCBCTOOLS_EXPORTS;LOG4C_ENABLE;CURL_STATICLIB;TEST_MODE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="crypt32.lib ws2_32.lib winmm.lib wldap32.lib libcurld.lib libeay32.lib sqlite3d.lib ssleay32.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="ReleaseExe|Win32"
			OutputDirectory="..\..\..\bin\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="1"
			UseOfMFC="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\cJson;..\filehelper;..\Include;..\Log4C;..\MD5"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;SCBCTOOLS_EXPORTS;LOG4C_ENABLE;CURL_STATICLIB;TEST_MODE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="crypt32.lib ws2_32.lib winmm.lib wldap32.lib libcurl.lib libeay32.lib sqlite3.lib ssleay32.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="源文件"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\Global.cpp"
				>
			</File>
			<File
				RelativePath=".\scbc.tools.cpp"
				>
			</File>
			<File
				RelativePath=".\SDK.cpp"
				>
			</File>
			<File
				RelativePath=".\stdafx.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="DebugExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="ReleaseExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="头文件"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\Global.h"
				>
			</File>
			<File
				RelativePath=".\Resource.h"
				>
			</File>
			<File
				RelativePath=".\scbc.tools.h"
				>
			</File>
			<File
				RelativePath=".\SDK.h"
				>
			</File>
			<File
				RelativePath=".\stdafx.h"
				>
			</File>
			<File
				RelativePath=".\targetver.h"
				>
			</File>
		</Filter>
		<Filter
			Name="资源文件"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath=".\scbc.tools.rc"
				>
			</File>
		</Filter>
		<Filter
			Name="curlib"
			>
			<File
				RelativePath=".\Base64.cpp"
				>
			</File>
			<File
				RelativePath=".\Base64.h"
				>
			</File>
			<File
				RelativePath=".\CharConvert.cpp"
				>
			</File>
			<File
				RelativePath=".\CharConvert.h"
				>
			</File>
			<File
				RelativePath=".\CharEncoding.cpp"
				>
			</File>
			<File
				RelativePath=".\CharEncoding.h"
				>
			</File>
			<File
				RelativePath=".\CurlClient.cpp"
				>
			</File>
			<File
				RelativePath=".\CurlClient.h"
				>
			</File>
		</Filter>
		<Filter
			Name="tinyxml2"
			>
			<File
				RelativePath=".\tinyxml2.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="DebugExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="ReleaseExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\tinyxml2.h"
				>
			</File>
		</Filter>
		<Filter
			Name="sqlite3"
			>
			<File
				RelativePath=".\CritSection.h"
				>
			</File>
			<File
				RelativePath=".\DataImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\DataImpl.h"
				>
			</File>
			<File
				RelativePath=".\sqlite3.h"
				>
			</File>
			<File
				RelativePath=".\TableInfo.h"
				>
			</File>
		</Filter>
		<Filter
			Name="cJSON"
			>
			<File
				RelativePath="..\cJson\cJSON.c"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="DebugExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="ReleaseExe|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\cJson\cJSON.h"
				>
			</File>
			<File
				RelativePath="..\cJson\Json_Type.h"
				>
			</File>
		</Filter>
		<Filter
			Name="MD5"
			>
			<File
				RelativePath="..\MD5\MD5.cpp"
				>
			</File>
			<File
				RelativePath="..\MD5\MD5.h"
				>
			</File>
		</Filter>
		<File
			RelativePath=".\ReadMe.txt"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
